Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.xml
Class XsltEvaluatorImpl

    java.lang.Object
      com.servingxml.util.xml.XsltEvaluatorImpl

All Implemented Interfaces:
  XsltEvaluator

    public class XsltEvaluatorImpl

extends java.lang.Object
implements XsltEvaluator

A `XsltEvaluator` implement an `XsltEvaluator` interface

Constructor Summary
`XsltEvaluatorImpl(PrefixMap prefixMap, Name recordTypeName, javax.xml.transform.Templates templates, Name[] parameterNames)`
`XsltEvaluatorImpl(PrefixMap prefixMap, Name recordTypeName, javax.xml.transform.Templates templates, Name[] parameterNames, UriResolverFactory uriResolverFactory)`

Method Summary
`Record` | `evaluate(javax.xml.transform.Source source, Record parameters)`
`boolean` | `isEmpty()`
`void` | `setUriResolverFactory(UriResolverFactory uriResolverFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltEvaluatorImpl

    public XsltEvaluatorImpl(PrefixMap prefixMap,
                             Name recordTypeName,
                             javax.xml.transform.Templates templates,
                             Name[] parameterNames)

### XsltEvaluatorImpl

    public XsltEvaluatorImpl(PrefixMap prefixMap,
                             Name recordTypeName,
                             javax.xml.transform.Templates templates,
                             Name[] parameterNames,
                             UriResolverFactory uriResolverFactory)

Method Detail

### setUriResolverFactory

    public void setUriResolverFactory(UriResolverFactory uriResolverFactory)

  Specified by:
    `setUriResolverFactory` in interface `XsltEvaluator`

### evaluate

    public Record evaluate(javax.xml.transform.Source source,
                           Record parameters)

  Specified by:
    `evaluate` in interface `XsltEvaluator`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `XsltEvaluator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD